EoleSSO - Anomalie #1647

Certificat, SSO et conteneurs
04/06/2011 05:44 PM - Joél Cuissinat
Description

Actuellement l'authentification squirrelmail plante a cause du test suivant dans /usr/share/sso/authform.py :

if service_host not in ctx.peer_cert_data['subject']:

Associated revisions

Revision 106cda23 - 04/14/2011 05:08 PM - Bruno Boiget

gestion spécifique pour la vérification de l'adresse de certains conteneurs (fixes #1647)

History

#1 - 04/14/2011 02:18 PM - Bruno Boiget

cela vient de I'adresse ip du conteneur qui n'est pas dans le certificat.
solutions possibles:

- ajouter les adresses des conteneurs dans les adresses alternatives des certificats
- enlever (encore une fois) le test de vérification en mode proxy

- gérer des cas particuliers dans eole-sso lorsqu'on est en mode conteneur (pour les adresses locales au serveur)

#2 - 04/14/2011 05:09 PM - Bruno Boiget
- Project changed from Distribution EOLE to EoleSSO

#3 - 04/14/2011 05:10 PM - Bruno Boiget
- Status changed from Nouveau to Résolu

- % Done changed from 0 to 100

Appliqué par commit 106cda23b9d0e39496616630e37d73bai9daf16b.

#4 - 04/14/2011 05:14 PM - Bruno Boiget

la 3éme solution est implémentée.

Si eole-sso est installé sur un serveur en mode conteneur (dans le conteneur root),
les adresses ip de certains conteneurs sont remplacées par l'adresse utilisée par
le serveur SSO lors de la vérification des sujets des certificat (mode proxy)

La liste des conteneurs autorisés est dans /usr/share/sso/config.py (pour l'instant : mail, web et fichier)
https://dev-eole.ac-dijon.fr/projects/eole-sso/repository/revisions/106cda23b9d0e39496616630e37d73ba19daf16b

#5 - 04/15/2011 03:57 PM - Bruno Boiget

- Status changed from Résolu to Fermé
